Subject: Re: [PATCH v13 16/16] ls-tree: split up "fast path" callbacks

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 21 Mar 2022 10:20:34 +0100

On Mon, Mar 21 2022, Teng Long wrote:

> From: Ævar Arnfjörð Bjarmason <[email-masked]>
>
> Make the various if/else in the callbacks for the "fast path" a lot
> easier to read by just using common functions for the parts that are
> common, and have per-format callbacks for those parts that are
> different.

FWIW I didn't do any exhaustive benchmarks of this, but I checked a few
things against origin/master on linux.git and all the reported
"hyperfine" timings were the same/within the +/- interval.